local inMemConfig

local this = {}

--Static Config (stored right here)
this.static = {
    modName = "Archerie raliste",
    modDescription = [[
Les projectiles infligeront toujours des dgts en touchant leur cible, mais la prcision de leur trajectoire dpend dsormais du talent de Prcision de leur lanceur.
Comme pour les calculs de chance de frapper du jeu de base, la Fatigue, l'Agilit et la Chance de l'attaquant affecteront la prcision du projectile. De plus, tous les projectiles seront plus prcis quand l'attaquant les lance en tant en mode Discrtion.
Ce mod affecte autant le joueur que les PNJs et cratures. Pour ces dernires, qui n'ont pas de talent de Prcision, leur niveau est utilis pour calculer la prcision de leurs projectiles.

Sur de courtes distances, les dgts des projectiles sont rduits. La distance requise pour infliger des dgts maximaux est inversement proportionnelle au talent de Prcision de l'attaquant.
]],
}

--MCM Config (stored as JSON)
this.configPath = "realisticArchery"
this.mcmDefault = {
    enabled = true,
    logLevel = "INFO",
    maxNoise = 10,
    minDistanceFullDamage = 1000,
    sneakReduction = 30,
    maxCloseRangeDamageReduction = 90,
}
this.save = function(newConfig)
    inMemConfig = newConfig
    mwse.saveConfig(this.configPath, inMemConfig)
end

this.mcm = setmetatable({}, {
    __index = function(_, key)
        inMemConfig = inMemConfig or mwse.loadConfig(this.configPath, this.mcmDefault)
        return inMemConfig[key]
    end,
    __newindex = function(_, key, value)
        inMemConfig = inMemConfig or mwse.loadConfig(this.configPath, this.mcmDefault)
        inMemConfig[key] = value
        mwse.saveConfig(this.configPath, inMemConfig)
    end
})

return this
